mqueue.h File Reference

Classes for an unlimited queue to store messages. More...

Go to the source code of this file.

## Classes

class | MessageQueue
| Data structure used to store messages. More...
class | EqualityComparisonFilter
| Filter that checks messages on two channels for equality. More...
struct | EqualityComparisonFilter::MismatchDetected
| Different messages were detected. More...

## Functions

template<>
void | swap (::MessageQueue &a, ::MessageQueue &b)

## Detailed Description

Classes for an unlimited queue to store messages.

Definition in file mqueue.h.

## Function Documentation

## swap()

template<>

void swap | ( | ::MessageQueue & | a,
|  | ::MessageQueue & | b )

inline

Definition at line 138 of file mqueue.h.